View Issue Details

IDProjectCategoryView StatusLast Update
06224Bug reportsInstallationpublic2012-06-20 14:08
Reporteruser20453Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.92+ 
Fixed in Version1.92+ 
Summary06224: resetadminpw.php: SQL-string for postgres incorrect
Descriptionthe SQL-string used to set the new password is not correctly escaped and does therefor not work.

the string
    case 'postgres':modify_database("",'UPDATE prefix_users set \"password\"=\'$

should be either
    case 'postgres':modify_database("",'UPDATE prefix_users set \'password\'=\'$

or
    case 'postgres':modify_database("",'UPDATE prefix_users set "password"=\'$
TagsNo tags attached.
Complete LimeSurvey version number (& build)120613
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgreSQL 9.1.1
Server OS (if known)Debian
Webserver software & version (if known)nginx 1.2.0
PHP Version5.4.5

Activities

Mazi

Mazi

2012-06-19 12:20

partner   ~19347

Thanks for reporting bugs, telepath!
c_schmitz

c_schmitz

2012-06-19 12:33

administrator   ~19352

Thank you!
c_schmitz

c_schmitz

2012-06-19 13:01

administrator   ~19358

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8788
c_schmitz

c_schmitz

2012-06-20 14:08

administrator   ~19385

New 1.92+ version released.

Related Changesets

LimeSurvey: master a752a5ac

2012-06-19 03:34:02

c_schmitz

Details Diff
Fixed issue 06224: resetadminpw.php: SQL-string for postgres incorrect Affected Issues
06224
mod - admin/install/resetadminpw.php Diff File

Issue History

Date Modified Username Field Change
2012-06-16 17:11 user20453 New Issue
2012-06-19 12:20 Mazi Note Added: 19347
2012-06-19 12:20 Mazi Assigned To => c_schmitz
2012-06-19 12:20 Mazi Status new => assigned
2012-06-19 12:33 c_schmitz Note Added: 19352
2012-06-19 12:33 c_schmitz Status assigned => resolved
2012-06-19 12:33 c_schmitz Fixed in Version => 1.92+
2012-06-19 12:33 c_schmitz Resolution open => fixed
2012-06-19 13:01 c_schmitz Changeset attached => LimeSurvey master a752a5ac
2012-06-19 13:01 c_schmitz Note Added: 19358
2012-06-20 14:08 c_schmitz Note Added: 19385
2012-06-20 14:08 c_schmitz Status resolved => closed